<?php

namespace App\Http\Controllers;
use App\Clasificacion;

use Illuminate\Http\Request;

class ClasificacionController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
        $clasificaciones=Clasificacion::all();
        return view('clasificaciones.lista',compact('clasificaciones'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
        return view('clasificaciones.nuevo');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
        $where = [
            'descripcion_clasificacion' => $request->descripcion
        ];
        $verificarRepetido=Clasificacion::where($where)->first();
        if($verificarRepetido){
            $arrResponse = [
                'message' => 'La Clasificacion ya existe'
            ];
            return redirect()->route('clasificacion.index')->with($arrResponse);
            dd();
        }

        $clasificacion = new Clasificacion();
        $clasificacion->descripcion_clasificacion = $request->descripcion;
        $clasificacion->id_user = 1;
        $clasificacion->save();
        $arrResponse = [
            'message' => 'Clasificacion guardado correctamente'
        ];
        return redirect()->route('clasificacion.index')->with($arrResponse);
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit(Clasificacion $clasificacion)
    {
        //
        return view('clasificaciones.editar',compact('clasificacion'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Clasificacion $clasificacion)
    {
        //
        $clasificacion->descripcion_clasificacion = $request->descripcion;
        $clasificacion->id_user = 1;
        $clasificacion->update();
        $arrResponse = [
            'message' => 'Clasificacion actualizada correctamente'
        ];
        return redirect()->route('clasificacion.index')->with($arrResponse);
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($clasificacion)
    {
        //
        Clasificacion::destroy($clasificacion);
        $arrResponse = [
            'message' => 'Clasificacion eliminada correctamente'
        ];
        return redirect()->route('clasificacion.index')->with($arrResponse);
    }
}
