<?php

namespace App\Http\Controllers;
use App\Departamento;
use App\Pais;
use App\Region;
use Illuminate\Support\Facades\Auth;
use Illuminate\Http\Request;

class RegionController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
        $regiones=Region::with('pais')
                ->get();
        return view('regiones.lista',compact('regiones'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
        $paises=Pais::all();
        return view('regiones.nuevo',compact('paises'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
        $where = [
            'descripcion_region' => $request->descripcion,
            'id_pais' => $request->id_pais
        ];
        $verificarRepetido=Region::where($where)->first();
        if($verificarRepetido){
            $arrResponse = [
                'message' => 'La Región ya existe'
            ];
            return redirect()->route('region.index')->with($arrResponse);
            dd();
        }
        $region = new Region();
        $region->descripcion_region = $request->descripcion;
        $region->id_pais = $request->id_pais;
        $region->id_user = Auth::id();
        $region->save();
        $arrResponse = [
            'message' => 'Región guardada correctamente'
        ];
        return redirect()->route('region.index')->with($arrResponse);
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit(Region $region)
    {
        //
        $paises=Pais::all();
        return view('regiones.editar',compact('paises','region'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Region $region)
    {
        //
        $region->descripcion_region = $request->descripcion;
        $region->id_pais = $request->id_pais;
        $region->id_user = Auth::id();
        $region->update();
        $arrResponse = [
            'message' => 'Región actualizada correctamente'
        ];
        return redirect()->route('region.index')->with($arrResponse);
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
        Region::destroy($id);
        $arrResponse = [
            'message' => 'Región eliminada correctamente'
        ];
        return redirect()->route('region.index')->with($arrResponse);
    }
}
