@extends('layouts.index')
@section('contenido')
<div class="content">
	<div class="card">
        <div class="card-header header-elements-inline">
            <h5 class="card-title">LISTADO DE CÓDIGOS POSTALES</h5>
            <div class="header-elements">
                <div class="list-icons">
                    <a href="{{ route('codigo.crear') }}" class="btn btn-link btn-float text-default">
                        <i class="icon-file-plus2 text-primary"></i><span>Nuevo código postal</span>
                    </a>
                    <a class="list-icons-item" data-action="collapse"></a>
                </div>
            </div>
        </div>
        <table id="tablaJS" class="table datatable-basic">
            <thead>
                <tr>
                    <th>id</th>
                    <th>País</th>
                    <th>Departamento</th>
                    <th>Municipio</th>
                    <th>Región</th>
                    <th>Gira</th>
                    <th>Zona</th>
                    <th>Código Postal</th>
                    <th class="text-center">Acciones</th>
                </tr>
            </thead>
            <tbody>
                @foreach ($codigoPostal as $codigo)
                    <tr>
                        <td>{{$codigo['id']}}</td>
                        <td>{{$codigo->pais['descripcion_pais']}}</td>
                        <td>{{$codigo->departamento['descripcion_departamento']}}</td>
                        <td>{{$codigo->municipio['descripcion_municipio']}}</td>
                        <td>{{$codigo->region['descripcion_region']}}</td>
                        <td>{{$codigo->gira['descripcion_gira']}}</td>
                        <td>{{$codigo->zona['descripcion_zona']}}</td>
                        <td>{{$codigo['descripcion_zona_codigo_postal']}}</td>
                        <td class="text-center">
                            <div class="list-icons">
                                <div class="dropdown">
                                    <a href="#" class="list-icons-item" data-toggle="dropdown">
                                        <i class="icon-menu9"></i>
                                    </a>

                                    <div class="dropdown-menu dropdown-menu-right">
                                        <a href="{{ route('codigo.editar', $codigo['id']) }}" class="dropdown-item"><i class="icon-pencil6"></i> Editar</a>
                                        <a href="{{ route('codigo.eliminar', $codigo['id']) }}" class="dropdown-item"><i class="icon-trash"></i> Eliminar</a>
                                    </div>
                                </div>
                            </div>
                        </td>
                    </tr>
                @endforeach
            </tbody>
        </table>
    </div>
</div>
@endsection

@section('javascript')
<script>
    jQuery( document ).ready(function() {

    });
</script>
@endsection
