@extends('layouts.index')
@section('contenido')
<div class="content">
	<div class="card">
		<div class="card-header header-elements-inline">
			<h5 class="card-title">NUEVA ASIGNACIÓN DE FICHERO</h5>
			<div class="header-elements">
				<div class="list-icons">
				    <a class="list-icons-item" data-action="collapse"></a>
				</div>
			</div>
		</div>

		<div class="card-body">
			<form action="{{ route('fichero.guardar') }}" method="POST">
                @csrf
                <fieldset>
                    <div class="collapse show">
                        <div class="row">

                            <div class="col-md-12">
                                <div class="form-group">
                                    <label for="">NOMBRE DEL FICHERO</label>
                                    <input type="text" class="form-control" value="{{$apm['primer_nombre']}} {{$apm['segundo_nombre']}} {{$apm['primer_apellido']}} {{$apm['segundo_apellido']}}-{{$mes}}-{{$ano}}" name="nombre_fichero" readonly>
                                </div>
                                <div class="form-group">
                                    <label for="">APM</label>
                                    <select class="form-control" name="id_user">
                                        <option value="{{$apm['id_user']}}">{{$apm['primer_nombre']}} {{$apm['segundo_nombre']}} {{$apm['primer_apellido']}} {{$apm['segundo_apellido']}}</option>
                                    </select>
                                </div>
                                <div class="form-group">
									<label>Fecha inicio:</label>
									<div class="input-group">
										<span class="input-group-prepend">
											<span class="input-group-text"><i class="icon-calendar22"></i></span>
										</span>
										<input type="text" class="form-control daterange-single" name="fecha_inicio" value="" />
									</div>
								</div>
                                <div class="form-group">
									<label>Fecha final:</label>
									<div class="input-group">
										<span class="input-group-prepend">
											<span class="input-group-text"><i class="icon-calendar22"></i></span>
										</span>
										<input type="text" class="form-control daterange-single" name="fecha_final" value="" />
									</div>
								</div>
                            </div>
                        </div>
                    </div>
                </fieldset>
                <h5>SOCIOS</h5>
                <table id="tablaJS" class="table datatable-basic">
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>Tipo</th>
                            <th>Gira</th>
                            <th>Nombre</th>
                            <th>Especialidad</th>
                            <th>Clasificacion</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($socios as $socio)
                            <tr>
                                <td><input type="checkbox" checked name="socioSi[]" /><input type="hidden" name="idSocios[]" value="{{$socio->id}}" /></td>
                                <td>{{$socio->descripcion_tipo_socio}}</td>
                                <td>{{$socio->descripcion_gira}}</td>
                                <td>{{$socio->primer_nombre_socio}} {{$socio->segundo_nombre_socio}}</td>
                                <td>{{$socio->descripcion_especialidad}}</td>
                                <td>{{$socio->descripcion_clasificacion}}</td>
                                
                            </tr>
                        @endforeach
                    </tbody>
                </table>
				<div class="text-right">
					<button type="submit" class="btn btn-primary">Guardar fichero<i class="icon-floppy-disk ml-2"></i></button>
				</div>
            </form>

		</div>
	</div>
</div>

@endsection

@section('javascript')
<script>
    jQuery( document ).ready(function($) {
        

    });
</script>
@endsection
