<!doctype html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <title>Visita Médica</title>
    <!-- Scripts -->
    <script src="{{ asset('js/app.js') }}"></script>
    <script src="{{ asset('js/app_template.js') }}"></script>
    <script src="{{ asset('js/datatables.min.js') }}"></script>
    <script src="{{ asset('js/datatables_basic.js') }}"></script>
    <script src="{{ asset('js/select2.min.js') }}"></script>
    <script src="{{ asset('js/sweetalert2.min.js') }}"></script>

    <script src="{{ asset('js/moment.min.js') }}"></script>
    <script src="{{ asset('js/picker.js') }}"></script>
    <script src="{{ asset('js/picker.date.js') }}"></script>
    <script src="{{ asset('js/daterangepicker.js') }}"></script>

    <script src="{{ asset('js/core/main.min.js') }}"></script>
    <script src="{{ asset('js/core/locales-all.min.js') }}"></script>
    <script src="{{ asset('js/daygrid/main.min.js') }}"></script>
    <script src="{{ asset('js/timegrid/main.min.js') }}"></script>
    <script src="{{ asset('js/list/main.min.js') }}"></script>
    <script src="{{ asset('js/interaction/main.min.js') }}"></script>

    <script src="{{ asset('js/script.js') }}"></script>
    <!-- Fonts -->
    <link rel="dns-prefetch" href="//fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css?family=Nunito" rel="stylesheet">

    <!-- Styles -->
	<link href="{{ asset('css/app.css') }}" rel="stylesheet">
	<link href="{{ asset('css/style.css') }}" rel="stylesheet">
    <link href="{{ asset('css/style.min.css') }}" rel="stylesheet">
    <link href="{{ asset('css/icons/icomoon/styles.min.css') }}" rel="stylesheet">
</head>
<style>
    .sidebar-dark
    {
        background-color: #00665e!important;
    }
</style>
<body>
    <!-- Barra superior -->
    <div class="navbar navbar-expand-md navbar-light fixed-top">
        <!-- Logo -->
		<div class="navbar-brand">
			<a href="#" class="d-inline-block">
				<img id="logoMercafarma" src="{{ asset('images/logo.png') }}" alt="">
			</a>
		</div>
        <!-- Btn Menu -->
		<div class="d-md-none">
			<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbar-mobile">
				<i class="icon-tree5"></i>
			</button>
			<button class="navbar-toggler sidebar-mobile-main-toggle" type="button">
				<i class="icon-paragraph-justify3"></i>
			</button>

		</div>

		<div class="collapse navbar-collapse" id="navbar-mobile">
			<ul class="navbar-nav">
				<li class="nav-item">
					<a href="#" class="navbar-nav-link sidebar-control sidebar-main-toggle d-none d-md-block">
						<i class="icon-paragraph-justify3"></i>
					</a>
				</li>
			</ul>

			<ul class="navbar-nav ml-auto">
				<li class="nav-item dropdown">
					<a href="#" class="navbar-nav-link">
						<i class="icon-bell2"></i>
						<span class="d-md-none ml-2">Notificaciones</span>
						<span class="badge badge-mark border-white ml-auto ml-md-0"></span>
					</a>
				</li>
                <!-- Menu derecho info usuario -->
				<li class="nav-item dropdown dropdown-user">
					<a href="#" class="navbar-nav-link d-flex align-items-center dropdown-toggle" data-toggle="dropdown">
						<img src="{{ asset('images/image.png') }}" class="rounded-circle mr-2" height="34" alt="">
						<span>{{ Auth::user()->name }}</span>
					</a>

					<div class="dropdown-menu dropdown-menu-right">
						<div class="dropdown-divider"></div>
                       	<a href="{{ route('logout') }}" class="dropdown-item" onclick="event.preventDefault();
                        document.getElementById('logout-form').submit();"><i class="icon-switch2"></i> Salir</a>
                        <form id="logout-form" action="{{ route('logout') }}" method="POST" class="d-none">
                            @csrf
                        </form>
					</div>
				</li>
			</ul>
		</div>
    </div>
    <!-- Barra Lateral -->
    <div class="page-content">
        @if (auth()->user()->id_role==4)
            @include('layouts.menu_izquierdo_1')
        @elseif(auth()->user()->id_role==3)
            {{---@include('layouts.menu_izquierdo_2')---}}
            @include('layouts.menu_izquierdo_1')
        @elseif(auth()->user()->id_role==2)
            @include('layouts.menu_izquierdo_3')
        @elseif(auth()->user()->id_role==1)
            @include('layouts.menu_izquierdo_4')
        @else
            @include('layouts.menu_izquierdo')
        @endif
        <div class="content-wrapper">
            <div class="content-wrapper">
                @yield('contenido')
            </div>
            <div id="piePagina">
                <p><small>® Derechos reservados PWG</small></p>
            </div>
        </div>
    </div>
    @yield('javascript')
    <script>
        function eliminar(evento){
            var answer = window.confirm("Esta seguro que lo desea eliminar?");
            if (!answer) {
                return false;
            }
        }
        @if (session('message'))
        Swal.fire({
            position: 'top-end',
            title: "{{ session('message') }}",
            showConfirmButton: false,
            timer: 1500
        });
        @endif
    </script>
</body>
</html>
