@extends('layouts.index')
@section('contenido')
<div class="content">
	<div class="card">
        <div class="card-header header-elements-inline">
            <h5 class="card-title">LISTADO DE PRODUCTOS</h5>
            <div class="header-elements">
                <div class="list-icons">
                    <a href="{{ route('productos.nuevo') }}" class="btn btn-link btn-float text-default">
                        <i class="icon-file-plus2 text-primary"></i><span>Nuevo Producto</span>
                    </a>
                    <a class="list-icons-item" data-action="collapse"></a>
                </div>
            </div>
        </div>
        <table id="tablaJS" class="table datatable-basic">
            <thead>
                <tr>
                    <th>id</th>
                    <th>Nombre</th>
                    <th>Línea</th>
                    <th>Laboratorio</th>
                    <th>Marca</th>
                    <th>Grupo Terapéutico</th>
                    <th>Acciones</th>
                </tr>
            </thead>
            <tbody>
                @foreach ($productos as $producto)
                    <tr>
                        <td>{{$producto['id']}}</td>
                        <td>{{$producto['nombre']}}</td>
                        <td>{{$producto->linea['nombre']}}</td>
                        <td>{{$producto->laboratorio['nombre']}}</td>
                        <td>{{$producto->marca['nombre']}}</td>
                        <td>{{$producto->grupo_terapeutico['nombre']}}</td>
                        <td class="text-center">
                            <div class="list-icons">
                                <div class="dropdown">
                                    <a href="#" class="list-icons-item" data-toggle="dropdown">
                                        <i class="icon-menu9"></i>
                                    </a>

                                    <div class="dropdown-menu dropdown-menu-right">
                                        <a href="{{ route('productos.editar', $producto['id']) }}" class="dropdown-item"><i class="icon-pencil6"></i> Editar</a>
                                        <a href="{{ route('productos.eliminar', $producto['id']) }}" class="dropdown-item"><i class="icon-trash"></i> Eliminar</a>
                                    </div>
                                </div>
                            </div>
                        </td>
                    </tr>
                @endforeach
            </tbody>
        </table>
    </div>
</div>
@endsection

@section('javascript')
<script>
    jQuery( document ).ready(function() {

    });
</script>
@endsection
